<?php
namespace PayPal\Braintree\Block\ApplePay\Shortcut\Button;

/**
 * Interceptor class for @see \PayPal\Braintree\Block\ApplePay\Shortcut\Button
 */
class Interceptor extends \PayPal\Braintree\Block\ApplePay\Shortcut\Button implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \Magento\Checkout\Model\Session $checkoutSession, \Magento\Payment\Model\MethodInterface $payment, \PayPal\Braintree\Model\ApplePay\Auth $auth, \Magento\Checkout\Model\DefaultConfigProvider $defaultConfigProvider, \Magento\Tax\Helper\Data $taxHelper, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $checkoutSession, $payment, $auth, $defaultConfigProvider, $taxHelper, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
